namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Localization;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(10)]                                          
    public partial class BaconCheeseBurgerItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Bacon CheeseBurger"; } }
        public override string FriendlyNamePlural               { get { return "Bacon CheeseBurger"; } } 
        public override string Description                      { get { return "We HAVE the skill to make the best burgers, with the best meat and now.. with CHEESE!"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 20, Fat = 22, Protein = 20, Vitamins = 16};
        public override float Calories                          { get { return 2100; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }
    [RequiresSkill(typeof(MolecularGastronomySkill), 4)]
    public partial class BaconCheeseBurgerRecipe : Recipe
    {
        public BaconCheeseBurgerRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<BaconCheeseBurgerItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BreadItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<MilkItem>(typeof(MolecularGastronomyEfficiencySkill), 10, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<CrispyBaconItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<WildMixItem>(typeof(MolecularGastronomyEfficiencySkill), 10, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<PrimeCutItem>(typeof(MolecularGastronomyEfficiencySkill), 5, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(BaconCheeseBurgerRecipe), Item.Get<BaconCheeseBurgerItem>().UILink(), 10, typeof(MolecularGastronomySpeedSkill));
            this.Initialize("Bacon CheeseBurger", typeof(BaconCheeseBurgerRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}