namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Localization;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(500)]                                          
    public partial class BakedSalmonItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Baked Salmon"; } }
        public override string FriendlyNamePlural               { get { return "Baked Salmon"; } } 
        public override string Description                      { get { return "You ARE cooking this with Salmon....Right?"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 8, Fat = 12, Protein = 18, Vitamins = 8};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(LeavenedBakingSkill), 4)]    
    public partial class BakedSalmonRecipe : Recipe
    {
        public BakedSalmonRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<BakedSalmonItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFilletItem>(typeof(LeavenedBakingEfficiencySkill), 10, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<InfusedOilItem>(typeof(LeavenedBakingEfficiencySkill), 5, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
                
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(BakedSalmonRecipe), Item.Get<BakedSalmonItem>().UILink(), 3, typeof(LeavenedBakingSpeedSkill)); 
            this.Initialize("Baked Salmon", typeof(BakedSalmonRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}