namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;
    [Serialized]
    [Weight(10)]                                          
    public partial class BurritoSupremeItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Burrito Supreme"; } }
        public override string FriendlyNamePlural               { get { return "Burrito Supreme"; } } 
        public override string Description                      { get { return "Tacos may make you run to the Latrine, but this won't, I hope..."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 17, Fat = 28, Protein = 26, Vitamins = 18};
        public override float Calories                          { get { return 2000; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }
    [RequiresSkill(typeof(MolecularGastronomySkill), 4)]
    public partial class BurritoSupremeRecipe : Recipe
    {
        public BurritoSupremeRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<BurritoSupremeItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BeanPasteItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<MilkItem>(typeof(MolecularGastronomyEfficiencySkill), 10, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<TortillaItem>(typeof(MolecularGastronomyEfficiencySkill), 5, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<ScrapMeatItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),

            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(BurritoSupremeRecipe), Item.Get<BurritoSupremeItem>().UILink(), 10, typeof(MolecularGastronomySpeedSkill));
            this.Initialize("Burrito Supreme", typeof(BurritoSupremeRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}