namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;

    [Serialized]
    [Weight(10)]                                          
    public partial class CakeItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Cake"; } }
        public override string FriendlyNamePlural               { get { return "Cake"; } } 
        public override string Description                      { get { return "After all this time, it is STILL a lie."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 19, Fat = 25, Protein = 15, Vitamins = 20};
        public override float Calories                          { get { return 1800; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }
    [RequiresSkill(typeof(MolecularGastronomySkill), 3)]
    public partial class CakeRecipe : Recipe
    {
        public CakeRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<CakeItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<MilkItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<FlourItem>(typeof(MolecularGastronomyEfficiencySkill), 30, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<YeastItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<TallowItem>(typeof(MolecularGastronomyEfficiencySkill), 10, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<SimpleSyrupItem>(typeof(MolecularGastronomyEfficiencySkill), 10, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(CakeRecipe), Item.Get<CakeItem>().UILink(), 30, typeof(MolecularGastronomySpeedSkill));
            this.Initialize("Cake", typeof(CakeRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}