namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;

    [Serialized]
    [Weight(500)]                                          
    public partial class FishHeadSoupItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Fish Head Soup"; } }
        public override string FriendlyNamePlural               { get { return "Fish Head Soup"; } } 
        public override string Description                      { get { return "Fish heads, fish heads, rolly polly fish heads!"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 3, Fat = 3, Protein = 12, Vitamins = 6};
        public override float Calories                          { get { return 800; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(HomeCookingSkill), 3)]    
    public partial class FishHeadSoupRecipe : Recipe
    {
        public FishHeadSoupRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishHeadSoupItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<VegetableStockItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishHeadSoupRecipe), Item.Get<FishHeadSoupItem>().UILink(), 3, typeof(HomeCookingSpeedSkill)); 
            this.Initialize("Fish Head Soup", typeof(FishHeadSoupRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}