namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;

    [Serialized]
    [Weight(5)]                                          
    public partial class GrillSalmonItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Grilled Salmon"; } }
        public override string FriendlyNamePlural               { get { return "Grill Salmon"; } } 
        public override string Description                      { get { return "You ARE cooking this with Salmon....Right, Pam?"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 12, Fat = 3, Protein = 4, Vitamins = 8};
        public override float Calories                          { get { return 1100; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCreationsSkill), 4)]    
    public partial class GrillSalmonRecipe : Recipe
    {
        public GrillSalmonRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<GrillSalmonItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFilletItem>(typeof(CampfireCreationsEfficiencySkill), 10, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<OilItem>(typeof(CampfireCreationsEfficiencySkill), 5, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
                
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(GrillSalmonRecipe), Item.Get<GrillSalmonItem>().UILink(), 3, typeof(CampfireCreationsSpeedSkill)); 
            this.Initialize("Grill Salmon", typeof(GrillSalmonRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}