namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;

    [Serialized]
    [Weight(10)]                                          
    public partial class RicePilafItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Rice Pilaf"; } }
        public override string FriendlyNamePlural               { get { return "Rice Pilaf"; } } 
        public override string Description                      { get { return "Pilaf is a dish in which rice is cooked in a seasoned broth."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 17, Fat = 13, Protein = 20, Vitamins = 10};
        public override float Calories                          { get { return 650; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }
    [RequiresSkill(typeof(MolecularGastronomySkill), 2)]
    public partial class RicePilafRecipe : Recipe
    {
        public RicePilafRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<RicePilafItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RiceItem>(typeof(MolecularGastronomyEfficiencySkill), 30, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<VegetableMedleyItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<MeatStockItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(RicePilafRecipe), Item.Get<RicePilafItem>().UILink(), 10, typeof(MolecularGastronomySpeedSkill));
            this.Initialize("Rice Pilaf", typeof(RicePilafRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}