namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;
    [Serialized]
    [Weight(5)]                                          
    public partial class RicePuddingItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Rice Pudding"; } }
        public override string FriendlyNamePlural               { get { return "Rice Pudding"; } } 
        public override string Description                      { get { return "Using Rice and Milk, you made Rice Pudding, not some kid's cereal."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 21, Fat = 10, Protein = 17, Vitamins = 10};
        public override float Calories                          { get { return 500; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }
    [RequiresSkill(typeof(MolecularGastronomySkill), 2)]
    public partial class RicePuddingRecipe : Recipe
    {
        public RicePuddingRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<RicePuddingItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RiceItem>(typeof(MolecularGastronomyEfficiencySkill), 20, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<MilkItem>(typeof(MolecularGastronomyEfficiencySkill), 10, MolecularGastronomyEfficiencySkill.MultiplicativeStrategy),

            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(RicePuddingRecipe), Item.Get<RicePuddingItem>().UILink(), 5, typeof(MolecularGastronomySpeedSkill));
            this.Initialize("Rice Pudding", typeof(RicePuddingRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}