namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;
    [Serialized]
    [Weight(600)]
    public partial class SpicyClamChowderItem :
        FoodItem
    {
        public override string FriendlyName { get { return "Spicy Clam Chowder"; } }
        public override string Description { get { return "Spicy!!(also Clam and Chowder)"; } }

        private static Nutrients nutrition = new Nutrients() { Carbs = 10, Fat = 14, Protein = 15, Vitamins = 18 };
        public override float Calories { get { return 1500; } }
        public override Nutrients Nutrition { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 4)]
    public partial class SpicyClamChowderRecipe : Recipe
    {
        public SpicyClamChowderRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SpicyClamChowderItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem>(typeof(CulinaryArtsEfficiencySkill), 20, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<VegetableStockItem>(typeof(CulinaryArtsEfficiencySkill), 10, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<CamasMashItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<FireweedShootsItem>(typeof(CulinaryArtsEfficiencySkill), 10, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(SpicyClamChowderRecipe), Item.Get<SpicyClamChowderItem>().UILink(), 10, typeof(CulinaryArtsSpeedSkill));
            this.Initialize("Spicy Clam Chowder", typeof(SpicyClamChowderRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}