namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;
    [Serialized]
    [Weight(500)]                                          
    public partial class TunaCasseroleItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Tuna Casserole"; } }
        public override string FriendlyNamePlural               { get { return "Tuna Casserole"; } } 
        public override string Description                      { get { return "A fishy smelling casserole."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 15, Fat = 10, Protein = 10, Vitamins = 1};
        public override float Calories                          { get { return 1250; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 3)]    
    public partial class TunaCasseroleRecipe : Recipe
    {
        public TunaCasseroleRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<TunaCasseroleItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FlourItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<RawFishItem>(typeof(CulinaryArtsEfficiencySkill), 20, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<WildMixItem>(typeof(CulinaryArtsEfficiencySkill), 20, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(TunaCasseroleRecipe), Item.Get<TunaCasseroleItem>().UILink(), 3, typeof(CulinaryArtsSpeedSkill)); 
            this.Initialize("Tuna Casserole", typeof(TunaCasseroleRecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}