namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;

    [Serialized]
    [Weight(500)]
    public partial class TunaSaladItem :
        FoodItem
    {
        public override string FriendlyName { get { return "Tuna Salad"; } }
        public override string FriendlyNamePlural { get { return "Tuna Salad"; } }
        public override string Description { get { return "Don't be a Tuna head, eat more green!"; } }

        private static Nutrients nutrition = new Nutrients() { Carbs = 3, Fat = 3, Protein = 8, Vitamins = 8 };
        public override float Calories { get { return 600; } }
        public override Nutrients Nutrition { get { return nutrition; } }
    }

    [RequiresSkill(typeof(HomeCookingSkill), 4)]
    public partial class TunaSaladRecipe : Recipe
    {
        public TunaSaladRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<TunaSaladItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem>(typeof(HomeCookingEfficiencySkill), 10, HomeCookingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<OilItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(TunaSaladRecipe), Item.Get<TunaSaladItem>().UILink(), 3, typeof(HomeCookingSpeedSkill));
            this.Initialize("Tuna Salad", typeof(TunaSaladRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}