namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Localization;

    [Serialized]
    [Weight(600)]
    public partial class TunafishSandwichItem :
        FoodItem
    {
        public override string FriendlyName { get { return "Tunafish Sandwich"; } }
        public override string Description { get { return "Sure beats Hucklebutter and Jelly Sandwiches!"; } }

        private static Nutrients nutrition = new Nutrients() { Carbs = 10, Fat = 14, Protein = 20, Vitamins = 21 };
        public override float Calories { get { return 1200; } }
        public override Nutrients Nutrition { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 1)]
    public partial class TunafishSandwichRecipe : Recipe
    {
        public TunafishSandwichRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<TunafishSandwichItem>(),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BreadItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<TunaSaladItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<WildMixItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<TomatoItem>(typeof(CulinaryArtsEfficiencySkill), 10, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(TunafishSandwichRecipe), Item.Get<TunafishSandwichItem>().UILink(), 10, typeof(CulinaryArtsSpeedSkill));
            this.Initialize("Tunafish Sandwich", typeof(TunafishSandwichRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}