namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Localization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;
    using Eco.Gameplay.Items.Actionbar;


    [RequiresSkill(typeof(ClothProductionSkill), 1)]
    public partial class ClothRecipe : Recipe
    {
        public ClothRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<PlantFibersItem>(typeof(ClothProductionEfficiencySkill), 10, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Cloth", typeof(ClothRecipe));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe2 : Recipe
    {
        public ClothRecipe2()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BasicBackpackItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe2), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Basic Backpack", typeof(ClothRecipe2));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe3 : Recipe
    {
        public ClothRecipe3()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SquareBeltItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe3), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Square Belt", typeof(ClothRecipe3));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe4 : Recipe
    {
        public ClothRecipe4()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TallBootsItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe4), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Tall Boots", typeof(ClothRecipe4));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe5 : Recipe
    {
        public ClothRecipe5()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<NotchBeltItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe5), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Notch Belt", typeof(ClothRecipe5));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe6 : Recipe
    {
        public ClothRecipe6()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<LowTopShoesItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe6), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Low Top Shoes", typeof(ClothRecipe6));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe7 : Recipe
    {
        public ClothRecipe7()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TrousersItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe7), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Trousers", typeof(ClothRecipe7));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe8 : Recipe
    {
        public ClothRecipe8()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<CaprisItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe8), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Capris", typeof(ClothRecipe8));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe9 : Recipe
                {
        public ClothRecipe9()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClothItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<GardenBootsItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe9), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
            this.Initialize("Recycle Garden Boots", typeof(ClothRecipe9));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }
    [RequiresSkill(typeof(ClothProductionSkill), 4)]
    public partial class ClothRecipe10 : Recipe
                    {
                        public ClothRecipe10()
                        {
                            this.Products = new CraftingElement[]
                            {
                new CraftingElement<ClothItem>(),
                            };
                            this.Ingredients = new CraftingElement[]
                            {
                new CraftingElement<GigotSleeveShirtItem>(typeof(ClothProductionEfficiencySkill), 1, ClothProductionEfficiencySkill.MultiplicativeStrategy),
                            };
                            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe10), Item.Get<ClothItem>().UILink(), 2, typeof(ClothProductionSpeedSkill));
                            this.Initialize("Recycle Gigot Sleeve Shirt", typeof(ClothRecipe10));

                            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
                        }
                    }

                [Serialized]
    [Weight(100)]
    [Currency]
    public partial class ClothItem :
    Item                                     
    {
        public override string FriendlyName { get { return "Cloth"; } }
        public override string FriendlyNamePlural { get { return "Cloth"; } } 
        public override string Description { get { return "A piece of rough cloth made by weaving fibers together."; } }

    }

}