namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(AlloySmeltingSkill), 4)]
    public partial class TailingsRecipe : Recipe
    {
        public TailingsRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<TailingsItem>(10),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TailingsItem>(50),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(TailingsRecipe), Item.Get<TailingsItem>().UILink(), 180, typeof(AlloySmeltingSpeedSkill));

            this.Initialize("Reduce Tailings", typeof(TailingsRecipe));

            CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
        }
    }
}

   
