﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(SteelworkingSkill), 1)]
    public partial class UpgradeIronShovelRecipe : Recipe
    {
        public UpgradeIronShovelRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SteelShovelItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<IronShovelItem>(1),
                new CraftingElement<SteelItem>(typeof(SteelworkingEfficiencySkill), 20 ,SteelworkingEfficiencySkill.MultiplicativeStrategy)
            };
            this.CraftMinutes = new MultiDynamicValue(MultiDynamicOps.Multiply
            , CreateCraftTimeValue(typeof(UpgradeIronShovelRecipe), Item.Get<SteelShovelItem>().UILink(), .5f, typeof(SteelworkingSpeedSkill))

            );
            this.Initialize("Upgrade Iron Shovel", typeof(UpgradeIronShovelRecipe));

            CraftingComponent.AddRecipe(typeof(AnvilObject), this);
        }
    }
}