﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(SteelworkingSkill), 3)]
    public partial class UpgradeSteelScytheRecipe : Recipe
    {
        public UpgradeSteelScytheRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ModernScytheItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SteelScytheItem>(1),
                new CraftingElement<FiberglassItem>(typeof(SteelworkingEfficiencySkill), 20 ,SteelworkingEfficiencySkill.MultiplicativeStrategy)
            };
            this.CraftMinutes = new MultiDynamicValue(MultiDynamicOps.Multiply
            , CreateCraftTimeValue(typeof(UpgradeSteelScytheRecipe), Item.Get<ModernScytheItem>().UILink(), .5f, typeof(SteelworkingSpeedSkill))

            );
            this.Initialize("Upgrade Steel Scythe", typeof(UpgradeSteelScytheRecipe));

            CraftingComponent.AddRecipe(typeof(FactoryObject), this);
        }
    }
}