﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MetalworkingSkill), 1)]
    public partial class UpgradeWoodenShovelRecipe : Recipe
    {
        public UpgradeWoodenShovelRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<IronShovelItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<WoodenShovelItem>(1),
                new CraftingElement<IronIngotItem>(typeof(MetalworkingEfficiencySkill), 20 ,MetalworkingEfficiencySkill.MultiplicativeStrategy)
            };
            this.CraftMinutes = new MultiDynamicValue(MultiDynamicOps.Multiply
            , CreateCraftTimeValue(typeof(UpgradeWoodenShovelRecipe), Item.Get<IronShovelItem>().UILink(), .5f, typeof(MetalworkingSpeedSkill))

            );
            this.Initialize("Upgrade Wooden Shovel", typeof(UpgradeWoodenShovelRecipe));

            CraftingComponent.AddRecipe(typeof(AnvilObject), this);
        }
    }
}